Subject: Re: [netmod] for a future rfc6991bis

From: Qin Wu <[email-masked]>
Date: Fri, 2 Nov 2018 07:42:58 +0000

Longitude is not defined in RFC8299, RFC8299 provide location parameter such as city, country, country-code, postal-code, street.
https://www.ietf.org/archive/id/draft-acee-ospf-geo-location-05.txt  seems to provide a few definitions of longitude and latitude in section 2:
https://tools.ietf.org/html/draft-seedorf-lmap-alto-02#section-6.2 provide an example of longitude usage in table 1 which use different unit(i.e.,decimal degree)
See https://www.rapidtables.com/convert/number/degrees-to-degrees-minutes-seconds.html
RFC6280 provide a good taxonomy of location object.
"
   Location Object (LO):   An object used to convey location information
      together with Privacy Rules.  Geopriv supports both geodetic
      location data (latitude, longitude, altitude, etc.) and civic
      location data (street, city, state, etc.).  Either or both types
      of location information may be present in a single LO (see the
      considerations in [5] for LOs containing multiple locations).
      Location Objects typically include some sort of identifier of the
      Target.
"

-Qin
-----邮件原件-----
发件人: Juergen Schoenwaelder [mailto:[email-masked]] 
发送时间: 2018年11月2日 15:07
收件人: Qin Wu <[email-masked]>
抄送: netmod <[email-masked]>
主题: Re: [netmod] for a future rfc6991bis

I searched for longitute or geo in RFC 8299 and this was not a big hit. Concrete definitions will help. I do know about
https://tools.ietf.org/html/draft-irtf-nmrg-location-ipfix-07 and that has been dragging on from 2012 to 2016 within the NMRG and I think this even had a life outside the NMRG before. What I am looking for is concrete (ideally YANG) definitions that people have already created and that can be the basis of a common standard. And of course an argument why location data is so essential that it has to be in ietf-yang-types and can't be in say a module ietf-geo-types.

/js

On Fri, Nov 02, 2018 at 03:17:21AM +0000, Qin Wu wrote:
> Agree with this criteria, remember geo location proposal was discussed before by ALTO proponents in LMAP, in addition, location service is useful for L3VPN sevice placement, see example case in RFC8299 which can select appropriate PE based on location info. Acee also provided a valid use case in this e-mail thread.
> 
> 发件人： Juergen Schoenwaelder
> 收件人： Qin Wu<[email-masked]<mailto:[email-masked]>>
> 抄送： netmod<[email-masked]<mailto:[email-masked]>>
> 主题： Re: [netmod] for a future rfc6991bis
> 时间： 2018-11-01 20:04:15
> 
> I think we need to find a way to limit the update to types that are 
> known (or expected) to be 'widely' needed. In other words, for every 
> proposed type, an argument should be made why this should be included 
> in RFC 6991bis.
> 
> /js
> 
> On Thu, Nov 01, 2018 at 11:55:25AM +0000, Qin Wu wrote:
> > I am wondering if we can add longitude, latitude in DMS or decimal 
> > degree, Further we can consider to add Postal-code, Country-code 
> > like Location type.
> >
> > -Qin
> > -----邮件原件-----
> > 发件人: netmod [mailto:[email-masked]] 代表 Juergen 
> > Schoenwaelder
> > 发送时间: 2018年10月31日 20:47
> > 收件人: [email-masked]
> > 主题: Re: [netmod] for a future rfc6991bis
> >
> > Here is my list of possible additions. I might have lost some items on a computer that meanwhile is not used anymore, I will have to dig a bit to see what I can recover.
> >
> > /js
> >
> > On Wed, Oct 31, 2018 at 01:26:01PM +0100, Ladislav Lhotka wrote:
> > > Hi,
> > >
> > > another update that was discussed recently is a clarification of 
> > > the XPath context for the xpath1.0 type.
> > >
> > > Lada
> > >
> > > Kent Watsen <[email-masked]> writes:
> > >
> > > > NETMOD WG,
> > > >
> > > > A conversation in NETCONF WG regarding the yang-push noted that 
> > > > it might be time to update RFC 6991, in particular to introduce a type for time-duration.
> > > >
> > > >
> > > > https://mailarchive.ietf.org/arch/msg/netconf/KaUJloIShkLNIXTuHZ
> > > > NwB-
> > > > SYBnQ
> > > >
> > > > In addition, it might be good to introduce [inet?] types for RFC
> > > > 5322 (Internet Message Format) including perhaps:
> > > >
> > > >   - email-address        (addr-spec, per Section 3.4.1)
> > > >   - named-email-address  (name-addr, per Section 3.4)
> > > >
> > > >
> > > > Kent // contributor
> > > >
> > > >
> > > >
> > > > _______________________________________________
> > > > netmod mailing list
> > > > [email-masked]
> > > > https://www.ietf.org/mailman/listinfo/netmod
> > >
> > > --
> > > Ladislav Lhotka
> > > Head, CZ.NIC Labs
> > > PGP Key ID: 0xB8F92B08A9F76C67
> > >
> > > _______________________________________________
> > > netmod mailing list
> > > [email-masked]
> > > https://www.ietf.org/mailman/listinfo/netmod
> >
> > --
> > Juergen Schoenwaelder           Jacobs University Bremen gGmbH
> > Phone: +49 421 200 3587         Campus Ring 1 | 28759 Bremen | Germany
> > Fax:   +49 421 200 3103         <https://www.jacobs-university.de/>
> 
> --
> Juergen Schoenwaelder           Jacobs University Bremen gGmbH
> Phone: +49 421 200 3587         Campus Ring 1 | 28759 Bremen | Germany
> Fax:   +49 421 200 3103         <https://www.jacobs-university.de/>

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1 | 28759 Bremen | Germany
Fax:   +49 421 200 3103         <https://www.jacobs-university.de/>

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Fri, 2 Nov 2018 09:19:29 +0100

It seems someone should draft an ietf-geo yang module proposal.

/js

---

From: Qin Wu <[email-masked]>
Date: Fri, 2 Nov 2018 12:16:00 +0000

I can volunteer to do that if this helps.

时间： 2018-11-02 15:23:10

/js

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Fri, 2 Nov 2018 14:55:43 +0000

I’ll participate as well. I agree it should be a separate YANG module and draft from the geo-location advertisement protocol specifications (currently OSPF, IS-IS, BGP, and LISP).
Thanks,
Acee

From: netmod <[email-masked]> on behalf of Qin Wu <[email-masked]>
Date: Friday, November 2, 2018 at 8:16 AM
To: Juergen Schoenwaelder <[email-masked]>
Cc: netmod <[email-masked]>
Subject: Re: [netmod] for a future rfc6991bis

/js

On Fri, Nov 02, 2018 at 07:42:58AM +0000, Qin Wu wrote:
> I searched for longitute or geo in RFC 8299 and this was not a big hit.. Concrete definitions will help. I do know about